/**add app CSS styles here**/
/**add app CSS styles here**/
.table-title {
  white-space: nowrap;
}
  
.title h1 {
  padding-bottom: 0;
}
  
.table-title h2 {
  font-size: .894rem /* 14.3px */;
  color: white;
  padding: 0;
}
  
noscript {
  display: block
}
  
textarea {
  width: 100%;
}
  
table span,
td.one {
  white-space: normal;
}
  
.errortext {
  display: block;
}
  
#mrcMainContent .prbp-explanation p {
  font-size: .875rem; /* 14px */
}
  
#content .info-p {
  font-size: .875rem; /* 14px */
  margin-top: 10px;
  text-align: center;
  padding-bottom: 0;
}
  
.prbp-text-small {
  font-size: .8rem;
}
  
#mrcMainContent .form-table {
  width: 100%;
  max-width: 640px;
}
  
.proj-type-label-td {
  width: 182px;
}
  
.prbp-check-if-same {
  padding: 6px 0;
  text-align: center;
}
  
#content #mrcMainContent .fa-question-circle:focus,
#content #mrcMainContent .fa-question-circle:hover {
  text-decoration: none;
}
  
.more-info-clickable {
  padding: 4px 7px;
  cursor: pointer;
  position: relative;
  display: inline-block;
}
  
.prbp-explanation .fa-info-circle {
  position: relative;
  bottom: 1px;
}
  
/* override mrc styling of display: block for all trs on mobile */
#mrcMainContent .hidden {
  display: none;
}
  
#mrcMainContent .form-table tr:last-child .two:not(.accept-btn-td) {
  text-align: initial;
}
  
.prbp-parcel-seg {
  display: inline-block !important;
}
  
.prbp-parcel-seg[maxlength='2'],
.prbp-STR-seg[maxlength='2'] {
  width: 33px !important;
}
  
.prbp-parcel-seg[maxlength='3'] {
  width: 41px !important;
}
  
.prbp-parcel-dot {
  vertical-align: bottom;
}
  
.prbp-parcel-hyphen,
.prbp-str-hyphen {
  vertical-align: super;
}
  
/* #content #mrcMainContent .prbp-total-sq-footage-td {
  text-align: left;
} */
  
#prbp-sq-ft-table input[type='text'] {
  width: 100%;
  max-width: 100%;
}
  
.char-counter {
  text-align: left;
}
  
@media(min-width: 761px) {

  table.prbp-table-standard>tbody>tr>td:nth-child(1) {
    width: 182px;
    max-width: 182px;
  }
  
  table.prbp-table-standard>tbody>tr>td:nth-child(2) {
    max-width: 430px;
    width: 430px;
  }
  
  #prbp-sq-ft-table input:not(#OTHERTYPE) {
    max-width: 126px;
  }
  
  .char-counter {
    text-align: right;
  }
}
  
/* square footage table */
#mrcMainContent .prbp-sq-ft-table {
  width: 100%;
  border: none;
  padding: 5px;
}
  
#content #mrcMainContent .form-table .prbp-sq-ft-table th {
  border: none;
  padding: 5px;
  text-transform: none;
}
  
#prbp-sq-ft-table th {
  border: none;
  padding: 5px;
  text-transform: none;
}
  
#content #prbp-sq-ft-table th:first-of-type {
  text-align: left;
}
  
.prbp-sq-ft-table td {
  padding: 5px;
}
  
#content #mrcMainContent .prbp-total-sq-footage-td,
#content #mrcMainContent .total-sq-footage-review-td {
  text-align: right;
  padding-right: 16px;
}
  
#prbp-sq-ft-table input:not(#OTHERTYPE) {
  text-align: center;
}
  
#prbp-sq-ft-table #OTHERTYPE {
  font-weight: normal;
  width: calc(100% - 12px);
}
  
#prbp-sq-ft-table input[readonly] {
  color: black;
}
  
#TOTSQFT {
  font-weight: bold;
  max-width: 126px;
}
  
#prbp-sq-ft-table input[type='checkbox'] {
  margin-right: 3px;
}
  
.fin-unfin-err,
.other-type-err {
  margin-top: 7px;
}
  
.fin-unfin-err:empty,
.other-type-err:empty {
  margin-top: 0;
}
  
.required-after {
  position: relative;
}
  
.required-after::after {
  content: ' *';
  font-weight: bold;
  color: #f00;
  position: absolute;
  right: -10px;
}
  
#mrcMainContent .prbp-table-instructions {
  font-size: .875rem; /* 14px */
  padding-bottom: 0;
  margin-top: 5px;
}
  
.directions {
  vertical-align: top;
}
  
.prbp-explanation-beds-baths-p {
  margin-top: 10px;
}
  
/* temporary */
.computed {
  background-color: gray;
  display: none;
}
  
.end-gray::after {
  border: 3px dashed gray !important;
  content: '';
  width: 100%;
  position: absolute;
  left: 0;
}
  
.end::after {
  border: 3px dashed red !important;
  content: '';
  width: 100%;
  position: absolute;
  left: 0;
}
  
#prop-line-flex-contain {
  display: flex;
  padding: 0 5px;
  padding-left: 5px;
  padding-right: 5px;
}
  
.prop-line-flex-item label,
.prop-line-flex-item input,
.prop-line-flex-item span
  {
  display: block;
  }
  
.prop-lines-td label,
#mrcMainContent .prop-lines-td p {
  font-weight: bold;
  font-size: .875rem; /* 14px */
}
  
.prop-lines-td option,
.prop-lines-td select
{
  font-size: .875rem; /* 14px */
}
  
.prop-lines-td input,
.prop-lines-td select
{
  width: 120px;
}
  
.prop-line-group {
  background: rgba(0, 0, 0, 0.05);
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 5px;
}
  
.prop-line-group-second {
  margin-left: 10px;
}
  
.prop-line-flex-item {
  padding: 10px;
}
  
.prop-line-flex-item:first-child {
  padding-left: 0;
}
  
.prop-line-flex-item:last-child {
  padding-right: 0;
}
  
    .number-feet-prop-lines-p {
     margin: 5px 5px 0;
    }
  
    label[for='SID1ORIENT'], label[for='SID2ORIENT'] {
      margin-top: 15px;
      margin-bottom: 3px;
   }
  
   .label-tall {
     height: 40px;
   }
  
   @media(max-width: 760px){
    #prop-line-flex-contain {
       flex-direction: column;
    }
    
    #mrcMainContent .prop-lines-td input{
      width:100%;
     }
    
    .number-feet-prop-lines-p {
       margin-left: 0;
   }
    
    .prop-line-group-second {
       margin-left: 0;
       margin-top: 10px;
   }
    
    .prop-line-flex-item:last-child {
       padding-left: 0;
   }
  }
  
   select {
    line-height: 1.2;
   }
  
   .review-parent-ul {
    list-style-type: none;
    margin-left: 5px;
   }
  
   .review-section ul {
      list-style-type: none;
      margin-left: 0;
   }
  
   .review-line {
    display: flex;
   }
  
   .review-line span {
    font-size: .875rem; /* 14px */
   }
  
   .review-line .question {
     display: inline-block;
     min-width: 238px;
   }
  
   .review-line .answer {
    font-weight: bold;
   }
  
   .review-parent-ul h3 {
      color: #230100;
      font-size: 1rem; /* 16px*/
      text-decoration: underline;
   }
   .review-header-contain {
    display: flex;
    justify-content: space-between;
   }
  
   .review-edit-link {
    display: inline-block;
    margin-right: 10px;
    margin-top: 8px;
  }
  
  .review-edit-link .fa-pencil-square-o {
   position: relative;
   top: 1px;
  }
  
  #content #mrcMainContent #review-sq-ft-table-contain table th {
    border: none;
    padding: 5px 5px 5px 5px;
    text-transform: none;
    text-align: left;
    font-size: 100%;
  }
  
  #content #mrcMainContent #review-sq-ft-table-contain table td {
    padding: 0 5px;
  }
  
  #mrcMainContent #review-sq-ft-table-contain table {
    border: 1px solid lightgray;
    border-radius: 3px;
  }
  
  /*right align calcuation columns*/
  #content #mrcMainContent #review-sq-ft-table-contain th:not(:first-child),
  #mrcMainContent #review-sq-ft-table-contain td:not(:first-child) {
    text-align: right;
  }
  
  #mrcMainContent #review-sq-ft-table-contain tr:last-child td {
    text-align: right;
  }
  
  #review-sq-ft-table-contain td:nth-child(1) {
    width: 32%;
  }
  #review-sq-ft-table-contain td:nth-child(2) {
    width: 22%;
  }
  #review-sq-ft-table-contain td:nth-child(3){
    width: 22%;
  }
  #review-sq-ft-table-contain td:nth-child(4) {
    width: 24%;
  }
  
  @media(max-width:760px){
    #content #review-sq-ft-table-contain td {
    width: 100%;
  }
    #content .computed {
    display: none;
  }
  }
  
  #review-property-lines-contain {
    display: block;
    border: 1px solid lightgray;
    border-radius: 3px;
    padding: 16px 20px 3px;
    margin-top: 10px;
  }
  
  #review-property-lines-contain .review-line {
    display: flex;
    justify-content: space-between;
    max-width: 301px;
  }
  
  #review-wastewater-info .review-line .question {
    min-width: 331px;
  }
  
  #review-property-lines-contain>span {
    background: #f7f7f7;
    display: block;
    padding: 7px 6px;
    margin-left: -6px;
  }
   
  #review-property-lines-contain .review-line .question {
      min-width: initial;
  }
  
  #review-property-lines-contain .review-line .answer {
      font-weight: normal;
  }
  
  .prpb-additional-comments-td {
    vertical-align: top;
    padding-top: 20px;
  }
  
  @media(max-width:600px){
    .review-line {
      flex-direction: column;
   }
  
   .review-header-contain {
      flex-direction: column;
   }
  
    #review-property-lines-contain .review-line .answer {
        font-weight: bold;
    }
  }
  
  .review-solar-instructions-link-contain {
   margin-top: 10px;
   margin-bottom: 15px;
   text-align: center;
  }
  
  .solar-instructions-link {
      font-size: .875rem;
      padding: 0;
  }
  .review-solar-instructions-link-contain span {
      font-size: .875rem;
  }
  
  .solar-permit-requirements .more-info-clickable {
      padding: 5px 0 0;
      font-size: .875rem;
  }
  .solar-permit-requirements ul {
      margin-top: 5px;
  }
  #solar-installation-instructions li {
      font-size: .875rem;
  }
  
  .minus-space {
      display: inline-block;
      margin-left: -3px;
  }
  
  .solar-requirements-header {
      text-align: center;
      text-decoration: underline;
  }
  
  #mrcMainContent .standard-font {
    font-family: 'Muli', sans-serif;
    font-size: .875rem;
  }
  
  #signature-div {
      border: 1px solid black;
  }
  
  .d-block {
    display: block;
  }
  
  .underline {
    text-decoration: underline;
  }
  
  .standard-font span.d-block:not(:first-child) {
    margin-top: 10px;
  }
  
  #clear-sig-button {
    margin-top: 10px;
  }

  .upload-tr:not(:first-child) td {
    padding-top: 0;
  }

  .upload-tr:not(:last-child) td input[type='file'] {
    padding-bottom: 0;
  }

  .agreement-p {
    padding-bottom: 5px;
  }

  #signature-div:focus {
    border-color: #52a8ec;
    outline: 0;
    box-shadow: 0 0 8px rgb(82 168 236 / 60%);
  }

  .bs-alert {
    position: relative;
    padding: 0.75rem 1.25rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .bs-alert-danger {
    color: #842029;
    background-color: #f8d7da;
    border-color: #f5c2c7;
  }

  .bs-alert-success {
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
  }

  #content #mrcMainContent .bs-alert-danger .alert-link {
    color: #6a1a21;
    text-decoration: underline;
  }

  #content #mrcMainContent .alert-success .alert-link {
    color: #0b2e13;
    text-decoration: underline;
  }

  .bs-alert {
    line-height: 1.3;
  }

  .upload1-error-span, .file-type-error-span {
    text-align: center;
    display: inline-block;
    width: 100%;
    margin-top: 15px;
    margin-bottom: 10px;
  }

  .upload1-error-span:empty, .file-type-error-span:empty {
    margin-bottom: 0;
  }

  #consentToCommercialRequirementsTr .d-block {
    margin-bottom: 6px;
  }

  .bc-spinner {
  display: inline-block;
  position: relative;
  width: 14px;
  height: 14px;
}
.bc-spinner div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 14px;
  height: 14px;
  margin: 2px;
  border: 2px solid #fff;
  border-radius: 50%;
  animation: bc-spinner 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #fff transparent transparent transparent;
}
.bc-spinner div:nth-child(1) {
  animation-delay: -0.45s;
}
.bc-spinner div:nth-child(2) {
  animation-delay: -0.3s;
}
.bc-spinner div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes bc-spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

  /* input#CONFIRM {
    margin-right: 0;
  }

  label[for='CONFIRM'] {
    padding-left: 5px;
  } */